import request from '@/utils/request'

// 用户管理使用的接口控制器由UserAccount改为HyUserAccount 20190527 by fanlongfei

// 获取用户列表数据
export function getUserAccountLists(params) {
  return request({
    url: 'api/useraccount/getlistbypage',
    method: 'get',
    params
  })
}

// 获取用户数据
export function getUserAccount(id) {
  return request({
    url: 'api/useraccount/getdetails',
    method: 'get',
    params: {
      id
    }
  })
}

// 添加用户数据
export function addUserAccount(data) {
  return request({
    url: 'api/useraccount/add',
    method: 'post',
    data
  })
}

// 编辑用户数据
export function editUserAccount(data) {
  return request({
    url: 'api/useraccount/update',
    method: 'post',
    data
  })
}

// 删除用户数据
export function deleteUserAccount(ids) {
  return request({
    url: 'api/useraccount/delete',
    method: 'post',
    data: {
      ids
    }
  })
}

// 获取用户下拉(协助人，坐席工号)
export function getUserSelects(deptid) {
  return request({
    url: 'signtokenapi/api/HyUserAccount/getapplists',
    method: 'get',
    params: {
      deptid
    }
  })
}

// 管理员修改密码
export function updatePassword(data) {
  return request({
    url: 'api/useraccount/updatepassword',
    method: 'post',
    data
  })
}

// 用户修改密码
export function updateMyPassword(data) {
  return request({
    url: 'api/useraccount/updatemypassword',
    method: 'post',
    data
  })
}

// 修改头像（暂无）
export function updateAvatar(data) {
  return request({
    url: 'api/UserAccount/updateavatar',
    method: 'post',
    data
  })
}

// 获取职位信息
export function getPositionData() {
  return request({
    url: 'api/position/getlistdrop',
    method: 'get',
  })
}
// 获取团队信息
export function getTeamData(deptid) {
  return request({
    url: 'api/deptteam/getlistdrop',
    method: 'get',
    params:{
      deptid
    }
  })
}